Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter
  Definition Classes
    nsc
-  package jline
  Definition Classes
    interpreter
-  object Reader
  Definition Classes
    jline
- CommandParser
- ReplParser
- ScalaParsedLine
- ScalaParser

c

scala.tools.nsc.interpreter.jline.Reader

# CommandParser

###

#### class CommandParser extends Parser

Source
  Reader.scala

Linear Supertypes
Parser, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CommandParser
2. Parser
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new CommandParser(repl: Repl)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from CommandParser toany2stringadd[CommandParser] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (CommandParser, B)
   Implicit
     This member is added by an implicit conversion from CommandParser toArrowAssoc[CommandParser] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  val defaultParser: DefaultParser
9.  def ensuring(cond: (CommandParser) => Boolean, msg: => Any): CommandParser
   Implicit
     This member is added by an implicit conversion from CommandParser toEnsuring[CommandParser] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (CommandParser) => Boolean): CommandParser
    Implicit
      This member is added by an implicit conversion from CommandParser toEnsuring[CommandParser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): CommandParser
    Implicit
      This member is added by an implicit conversion from CommandParser toEnsuring[CommandParser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): CommandParser
    Implicit
      This member is added by an implicit conversion from CommandParser toEnsuring[CommandParser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from CommandParser toStringFormat[CommandParser] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def getCommand(arg0: String): String
    Definition Classes
      Parser
19.  def getVariable(arg0: String): String
    Definition Classes
      Parser
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def isEscapeChar(arg0: Char): Boolean
    Definition Classes
      Parser
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  def parse(line: String, cursor: Int, context: ParseContext): ParsedLine
    Definition Classes
      CommandParser → Parser
27.  def parse(arg0: String, arg1: Int): ParsedLine
    Definition Classes
      Parser
    Annotations
      @throws(classOf[org.jline.reader.SyntaxError])
28.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  def validCommandName(arg0: String): Boolean
    Definition Classes
      Parser
31.  def validVariableName(arg0: String): Boolean
    Definition Classes
      Parser
32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (CommandParser, B)
   Implicit
     This member is added by an implicit conversion from CommandParser toArrowAssoc[CommandParser] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from Parser

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromCommandParser to any2stringadd[CommandParser]

### Inherited by implicit conversion StringFormat fromCommandParser to StringFormat[CommandParser]

### Inherited by implicit conversion Ensuring fromCommandParser to Ensuring[CommandParser]

### Inherited by implicit conversion ArrowAssoc fromCommandParser to ArrowAssoc[CommandParser]

### Ungrouped